package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.GreenCity;
import com.lightinit.hsdatashow.entity.GreenCityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GreenCityMapper {
    long countByExample(GreenCityExample example);

    int deleteByExample(GreenCityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GreenCity record);

    int insertSelective(GreenCity record);

    List<GreenCity> selectByExample(GreenCityExample example);

    GreenCity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GreenCity record, @Param("example") GreenCityExample example);

    int updateByExample(@Param("record") GreenCity record, @Param("example") GreenCityExample example);

    int updateByPrimaryKeySelective(GreenCity record);

    int updateByPrimaryKey(GreenCity record);

    List<GreenCity> getGreenCity(@Param("year") int year);
}